package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.component.util.excel.ExcelCell;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import javax.validation.executable.ValidateOnExecution;

/**
 * @Description : 资方管理信息实体类
 * @Author : L.Jia
 * @Date: 2023-02-13 17:11
 */
@TableName("financial_institution_info")
public class FinancialInstitutionInfo extends BaseEntity {

    /** 资方Id (对应sop再融资资方管理表id) **/
    @NotNull(message = "资方id不能为空",groups = {Add.class})
    @TableField("institution_id")
    private Long institutionId;

    /** 资方名称 **/
    @NotBlank(message = "资方名称不能为空", groups = {
            Add.class
    })
    @TableField("institution_name")
    private String institutionName;

    /** 客户经理 **/
    @NotBlank(message = "客户经理不能为空", groups = {
            Add.class
    })
    @TableField("customer_manager")
    private String customerManager;

    /** 资方账号登录名 **/
    @TableField(exist = false)
    private String loginName;

    public Long getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(Long institutionId) {
        this.institutionId = institutionId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getCustomerManager() {
        return customerManager;
    }

    public void setCustomerManager(String customerManager) {
        this.customerManager = customerManager;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
}
